#ifndef		__GAME_DIALOG_H__
#define		__GAME_DIALOG_H__

#include "global.h"
#include "gamewidget.h"
#include "timepanel.h"


class MainGameDialog : public GameDialog {
	private:
		GameWidget desktop;
		TimePanel timePanel;

		class HscDialog : public Dialog {
			protected:
				Panel panel;
				Label lblF1;
				ListBoxEx lstHsc;
				HscHeader hscHeader;

				void MsgInitSkin();

			public:
				HscDialog();
				~HscDialog();

				void FillHscList();
		};

		class HelpDialog : public Dialog {
			protected:
				Panel panel;
				Label lblF1;
				PanelSunken pnlHelp;
				Label lblHelp;

				void MsgInitSkin();

			public:
				HelpDialog();
		};

		HscDialog *hscPanel;
		HelpDialog *helpPanel;
		Accelerator acc;

		// 0 = hsc is on
		// 1 = hiding hsc
		// 2 = showing help
		// 3 = help is on
		// 4 = hidinh help
		// 5 = showing hsc
		int state;
		int progress;
		int duration;

	protected:
		void MsgTick();

	public:
		MainGameDialog();
		~MainGameDialog();
		int Run();
		void HandleEvent(Widget &obj, int msg, int arg1=0, int arg2=0);
};

#endif		//__GAME_DIALOG_H__
